#ifndef CRFEPURLABFUNCTIONS_H
#define CRFEPURLABFUNCTIONS_H

#include "../../ui/TabWidget.h"
#include "../../ui/ConfigDialog.h"
#include <ui_CRfePurLabFunctions.h>

class QrfeRfePurReader;

class CRfePurLabFunctions : public ReaderTabWidget, ConfigDialog
{
    Q_OBJECT

public:
    CRfePurLabFunctions(QTextEdit* infoEdit, QWidget* parent);
    ~CRfePurLabFunctions();

	virtual bool init(QrfeReaderInterface* reader);
	virtual void deinit();
	virtual void activated();

private slots:
	void testUnmodulatedWave(bool on);
	void setWaveAttLabel(int val);

private:
    QrfeRfePurReader* 		m_reader;

    Ui::CRfePurLabFunctionsClass ui;
};

#endif // CRFEPURLABFUNCTIONS_H
